KFileMetaPropsPlugin Class Reference

`#include <kmetaprops.h>`

Inheritance diagram for KFileMetaPropsPlugin:

## Public Member Functions

| KFileMetaPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
Public Member Functions inherited from KPropsDlgPlugin
| KPropsDlgPlugin (KPropertiesDialog *_props)
void | setDirty (bool b)
bool | isDirty () const

## Static Public Member Functions

static bool | supports (KFileItemList _items)
Static Public Member Functions inherited from KPropsDlgPlugin
static bool | isDesktopFile (KFileItem *_item)

## Additional Inherited Members

Public Slots inherited from KPropsDlgPlugin
void | setDirty ()
Signals inherited from KPropsDlgPlugin
void | changed ()
Protected Member Functions inherited from KPropsDlgPlugin
virtual void | virtual_hook (int id, void *data)
Protected Attributes inherited from KPropsDlgPlugin
KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

'MetaProps plugin In this plugin you can modify meta information like id3 tags of mp3 files

Definition at line 31 of file kmetaprops.h.

## Constructor & Destructor Documentation

KFileMetaPropsPlugin::KFileMetaPropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 80 of file kmetaprops.cpp.

## Member Function Documentation

void KFileMetaPropsPlugin::applyChanges | ( |  | ) |

virtual

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 257 of file kmetaprops.cpp.

bool KFileMetaPropsPlugin::supports | ( | KFileItemList | _items | ) |

static

Tests whether the file specified by _items has a 'MetaInfo' plugin.

Definition at line 245 of file kmetaprops.cpp.

The documentation for this class was generated from the following files:

- kmetaprops.h
- kmetaprops.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys